//Copyright 1986-2022 Xilinx, Inc. All Rights Reserved.
//Copyright 2022-2025 Advanced Micro Devices, Inc. All Rights Reserved.
//--------------------------------------------------------------------------------
//Tool Version: Vivado v.2025.2 (lin64) Build 6299465 Fri Nov 14 12:34:56 MST 2025
//Date        : Tue Nov 18 15:59:32 2025
//Host        : xhdshabbirk50x running 64-bit Red Hat Enterprise Linux release 8.10 (Ootpa)
//Command     : generate_target scu35_io_design_wrapper.bd
//Design      : scu35_io_design_wrapper
//Purpose     : IP block netlist
//--------------------------------------------------------------------------------
`timescale 1 ps / 1 ps

module scu35_io_design_wrapper
   (DIP_tri_io,
    LEDs_tri_io,
    PMOD_i_tri_io,
    iic_acl_main_scl_io,
    iic_acl_main_sda_io,
    iic_eeprom_main_scl_io,
    iic_eeprom_main_sda_io,
    iic_ina_main_scl_io,
    iic_ina_main_sda_io,
    push_buttons_tri_i,
    reset,
    scu35_uartb_rxd,
    scu35_uartb_txd,
    sys_diff_clock_clk_n,
    sys_diff_clock_clk_p);
  inout [7:0]DIP_tri_io;
  inout [14:0]LEDs_tri_io;
  inout [31:0]PMOD_i_tri_io;
  inout iic_acl_main_scl_io;
  inout iic_acl_main_sda_io;
  inout iic_eeprom_main_scl_io;
  inout iic_eeprom_main_sda_io;
  inout iic_ina_main_scl_io;
  inout iic_ina_main_sda_io;
  input [4:0]push_buttons_tri_i;
  input reset;
  input scu35_uartb_rxd;
  output scu35_uartb_txd;
  input sys_diff_clock_clk_n;
  input sys_diff_clock_clk_p;

  wire [0:0]DIP_tri_i_0;
  wire [1:1]DIP_tri_i_1;
  wire [2:2]DIP_tri_i_2;
  wire [3:3]DIP_tri_i_3;
  wire [4:4]DIP_tri_i_4;
  wire [5:5]DIP_tri_i_5;
  wire [6:6]DIP_tri_i_6;
  wire [7:7]DIP_tri_i_7;
  wire [0:0]DIP_tri_io_0;
  wire [1:1]DIP_tri_io_1;
  wire [2:2]DIP_tri_io_2;
  wire [3:3]DIP_tri_io_3;
  wire [4:4]DIP_tri_io_4;
  wire [5:5]DIP_tri_io_5;
  wire [6:6]DIP_tri_io_6;
  wire [7:7]DIP_tri_io_7;
  wire [0:0]DIP_tri_o_0;
  wire [1:1]DIP_tri_o_1;
  wire [2:2]DIP_tri_o_2;
  wire [3:3]DIP_tri_o_3;
  wire [4:4]DIP_tri_o_4;
  wire [5:5]DIP_tri_o_5;
  wire [6:6]DIP_tri_o_6;
  wire [7:7]DIP_tri_o_7;
  wire [0:0]DIP_tri_t_0;
  wire [1:1]DIP_tri_t_1;
  wire [2:2]DIP_tri_t_2;
  wire [3:3]DIP_tri_t_3;
  wire [4:4]DIP_tri_t_4;
  wire [5:5]DIP_tri_t_5;
  wire [6:6]DIP_tri_t_6;
  wire [7:7]DIP_tri_t_7;
  wire [0:0]LEDs_tri_i_0;
  wire [1:1]LEDs_tri_i_1;
  wire [10:10]LEDs_tri_i_10;
  wire [11:11]LEDs_tri_i_11;
  wire [12:12]LEDs_tri_i_12;
  wire [13:13]LEDs_tri_i_13;
  wire [14:14]LEDs_tri_i_14;
  wire [2:2]LEDs_tri_i_2;
  wire [3:3]LEDs_tri_i_3;
  wire [4:4]LEDs_tri_i_4;
  wire [5:5]LEDs_tri_i_5;
  wire [6:6]LEDs_tri_i_6;
  wire [7:7]LEDs_tri_i_7;
  wire [8:8]LEDs_tri_i_8;
  wire [9:9]LEDs_tri_i_9;
  wire [0:0]LEDs_tri_io_0;
  wire [1:1]LEDs_tri_io_1;
  wire [10:10]LEDs_tri_io_10;
  wire [11:11]LEDs_tri_io_11;
  wire [12:12]LEDs_tri_io_12;
  wire [13:13]LEDs_tri_io_13;
  wire [14:14]LEDs_tri_io_14;
  wire [2:2]LEDs_tri_io_2;
  wire [3:3]LEDs_tri_io_3;
  wire [4:4]LEDs_tri_io_4;
  wire [5:5]LEDs_tri_io_5;
  wire [6:6]LEDs_tri_io_6;
  wire [7:7]LEDs_tri_io_7;
  wire [8:8]LEDs_tri_io_8;
  wire [9:9]LEDs_tri_io_9;
  wire [0:0]LEDs_tri_o_0;
  wire [1:1]LEDs_tri_o_1;
  wire [10:10]LEDs_tri_o_10;
  wire [11:11]LEDs_tri_o_11;
  wire [12:12]LEDs_tri_o_12;
  wire [13:13]LEDs_tri_o_13;
  wire [14:14]LEDs_tri_o_14;
  wire [2:2]LEDs_tri_o_2;
  wire [3:3]LEDs_tri_o_3;
  wire [4:4]LEDs_tri_o_4;
  wire [5:5]LEDs_tri_o_5;
  wire [6:6]LEDs_tri_o_6;
  wire [7:7]LEDs_tri_o_7;
  wire [8:8]LEDs_tri_o_8;
  wire [9:9]LEDs_tri_o_9;
  wire [0:0]LEDs_tri_t_0;
  wire [1:1]LEDs_tri_t_1;
  wire [10:10]LEDs_tri_t_10;
  wire [11:11]LEDs_tri_t_11;
  wire [12:12]LEDs_tri_t_12;
  wire [13:13]LEDs_tri_t_13;
  wire [14:14]LEDs_tri_t_14;
  wire [2:2]LEDs_tri_t_2;
  wire [3:3]LEDs_tri_t_3;
  wire [4:4]LEDs_tri_t_4;
  wire [5:5]LEDs_tri_t_5;
  wire [6:6]LEDs_tri_t_6;
  wire [7:7]LEDs_tri_t_7;
  wire [8:8]LEDs_tri_t_8;
  wire [9:9]LEDs_tri_t_9;
  wire [0:0]PMOD_i_tri_i_0;
  wire [1:1]PMOD_i_tri_i_1;
  wire [10:10]PMOD_i_tri_i_10;
  wire [11:11]PMOD_i_tri_i_11;
  wire [12:12]PMOD_i_tri_i_12;
  wire [13:13]PMOD_i_tri_i_13;
  wire [14:14]PMOD_i_tri_i_14;
  wire [15:15]PMOD_i_tri_i_15;
  wire [16:16]PMOD_i_tri_i_16;
  wire [17:17]PMOD_i_tri_i_17;
  wire [18:18]PMOD_i_tri_i_18;
  wire [19:19]PMOD_i_tri_i_19;
  wire [2:2]PMOD_i_tri_i_2;
  wire [20:20]PMOD_i_tri_i_20;
  wire [21:21]PMOD_i_tri_i_21;
  wire [22:22]PMOD_i_tri_i_22;
  wire [23:23]PMOD_i_tri_i_23;
  wire [24:24]PMOD_i_tri_i_24;
  wire [25:25]PMOD_i_tri_i_25;
  wire [26:26]PMOD_i_tri_i_26;
  wire [27:27]PMOD_i_tri_i_27;
  wire [28:28]PMOD_i_tri_i_28;
  wire [29:29]PMOD_i_tri_i_29;
  wire [3:3]PMOD_i_tri_i_3;
  wire [30:30]PMOD_i_tri_i_30;
  wire [31:31]PMOD_i_tri_i_31;
  wire [4:4]PMOD_i_tri_i_4;
  wire [5:5]PMOD_i_tri_i_5;
  wire [6:6]PMOD_i_tri_i_6;
  wire [7:7]PMOD_i_tri_i_7;
  wire [8:8]PMOD_i_tri_i_8;
  wire [9:9]PMOD_i_tri_i_9;
  wire [0:0]PMOD_i_tri_io_0;
  wire [1:1]PMOD_i_tri_io_1;
  wire [10:10]PMOD_i_tri_io_10;
  wire [11:11]PMOD_i_tri_io_11;
  wire [12:12]PMOD_i_tri_io_12;
  wire [13:13]PMOD_i_tri_io_13;
  wire [14:14]PMOD_i_tri_io_14;
  wire [15:15]PMOD_i_tri_io_15;
  wire [16:16]PMOD_i_tri_io_16;
  wire [17:17]PMOD_i_tri_io_17;
  wire [18:18]PMOD_i_tri_io_18;
  wire [19:19]PMOD_i_tri_io_19;
  wire [2:2]PMOD_i_tri_io_2;
  wire [20:20]PMOD_i_tri_io_20;
  wire [21:21]PMOD_i_tri_io_21;
  wire [22:22]PMOD_i_tri_io_22;
  wire [23:23]PMOD_i_tri_io_23;
  wire [24:24]PMOD_i_tri_io_24;
  wire [25:25]PMOD_i_tri_io_25;
  wire [26:26]PMOD_i_tri_io_26;
  wire [27:27]PMOD_i_tri_io_27;
  wire [28:28]PMOD_i_tri_io_28;
  wire [29:29]PMOD_i_tri_io_29;
  wire [3:3]PMOD_i_tri_io_3;
  wire [30:30]PMOD_i_tri_io_30;
  wire [31:31]PMOD_i_tri_io_31;
  wire [4:4]PMOD_i_tri_io_4;
  wire [5:5]PMOD_i_tri_io_5;
  wire [6:6]PMOD_i_tri_io_6;
  wire [7:7]PMOD_i_tri_io_7;
  wire [8:8]PMOD_i_tri_io_8;
  wire [9:9]PMOD_i_tri_io_9;
  wire [0:0]PMOD_i_tri_o_0;
  wire [1:1]PMOD_i_tri_o_1;
  wire [10:10]PMOD_i_tri_o_10;
  wire [11:11]PMOD_i_tri_o_11;
  wire [12:12]PMOD_i_tri_o_12;
  wire [13:13]PMOD_i_tri_o_13;
  wire [14:14]PMOD_i_tri_o_14;
  wire [15:15]PMOD_i_tri_o_15;
  wire [16:16]PMOD_i_tri_o_16;
  wire [17:17]PMOD_i_tri_o_17;
  wire [18:18]PMOD_i_tri_o_18;
  wire [19:19]PMOD_i_tri_o_19;
  wire [2:2]PMOD_i_tri_o_2;
  wire [20:20]PMOD_i_tri_o_20;
  wire [21:21]PMOD_i_tri_o_21;
  wire [22:22]PMOD_i_tri_o_22;
  wire [23:23]PMOD_i_tri_o_23;
  wire [24:24]PMOD_i_tri_o_24;
  wire [25:25]PMOD_i_tri_o_25;
  wire [26:26]PMOD_i_tri_o_26;
  wire [27:27]PMOD_i_tri_o_27;
  wire [28:28]PMOD_i_tri_o_28;
  wire [29:29]PMOD_i_tri_o_29;
  wire [3:3]PMOD_i_tri_o_3;
  wire [30:30]PMOD_i_tri_o_30;
  wire [31:31]PMOD_i_tri_o_31;
  wire [4:4]PMOD_i_tri_o_4;
  wire [5:5]PMOD_i_tri_o_5;
  wire [6:6]PMOD_i_tri_o_6;
  wire [7:7]PMOD_i_tri_o_7;
  wire [8:8]PMOD_i_tri_o_8;
  wire [9:9]PMOD_i_tri_o_9;
  wire [0:0]PMOD_i_tri_t_0;
  wire [1:1]PMOD_i_tri_t_1;
  wire [10:10]PMOD_i_tri_t_10;
  wire [11:11]PMOD_i_tri_t_11;
  wire [12:12]PMOD_i_tri_t_12;
  wire [13:13]PMOD_i_tri_t_13;
  wire [14:14]PMOD_i_tri_t_14;
  wire [15:15]PMOD_i_tri_t_15;
  wire [16:16]PMOD_i_tri_t_16;
  wire [17:17]PMOD_i_tri_t_17;
  wire [18:18]PMOD_i_tri_t_18;
  wire [19:19]PMOD_i_tri_t_19;
  wire [2:2]PMOD_i_tri_t_2;
  wire [20:20]PMOD_i_tri_t_20;
  wire [21:21]PMOD_i_tri_t_21;
  wire [22:22]PMOD_i_tri_t_22;
  wire [23:23]PMOD_i_tri_t_23;
  wire [24:24]PMOD_i_tri_t_24;
  wire [25:25]PMOD_i_tri_t_25;
  wire [26:26]PMOD_i_tri_t_26;
  wire [27:27]PMOD_i_tri_t_27;
  wire [28:28]PMOD_i_tri_t_28;
  wire [29:29]PMOD_i_tri_t_29;
  wire [3:3]PMOD_i_tri_t_3;
  wire [30:30]PMOD_i_tri_t_30;
  wire [31:31]PMOD_i_tri_t_31;
  wire [4:4]PMOD_i_tri_t_4;
  wire [5:5]PMOD_i_tri_t_5;
  wire [6:6]PMOD_i_tri_t_6;
  wire [7:7]PMOD_i_tri_t_7;
  wire [8:8]PMOD_i_tri_t_8;
  wire [9:9]PMOD_i_tri_t_9;
  wire iic_acl_main_scl_i;
  wire iic_acl_main_scl_io;
  wire iic_acl_main_scl_o;
  wire iic_acl_main_scl_t;
  wire iic_acl_main_sda_i;
  wire iic_acl_main_sda_io;
  wire iic_acl_main_sda_o;
  wire iic_acl_main_sda_t;
  wire iic_eeprom_main_scl_i;
  wire iic_eeprom_main_scl_io;
  wire iic_eeprom_main_scl_o;
  wire iic_eeprom_main_scl_t;
  wire iic_eeprom_main_sda_i;
  wire iic_eeprom_main_sda_io;
  wire iic_eeprom_main_sda_o;
  wire iic_eeprom_main_sda_t;
  wire iic_ina_main_scl_i;
  wire iic_ina_main_scl_io;
  wire iic_ina_main_scl_o;
  wire iic_ina_main_scl_t;
  wire iic_ina_main_sda_i;
  wire iic_ina_main_sda_io;
  wire iic_ina_main_sda_o;
  wire iic_ina_main_sda_t;
  wire [4:0]push_buttons_tri_i;
  wire reset;
  wire scu35_uartb_rxd;
  wire scu35_uartb_txd;
  wire sys_diff_clock_clk_n;
  wire sys_diff_clock_clk_p;

  IOBUF DIP_tri_iobuf_0
       (.I(DIP_tri_o_0),
        .IO(DIP_tri_io[0]),
        .O(DIP_tri_i_0),
        .T(DIP_tri_t_0));
  IOBUF DIP_tri_iobuf_1
       (.I(DIP_tri_o_1),
        .IO(DIP_tri_io[1]),
        .O(DIP_tri_i_1),
        .T(DIP_tri_t_1));
  IOBUF DIP_tri_iobuf_2
       (.I(DIP_tri_o_2),
        .IO(DIP_tri_io[2]),
        .O(DIP_tri_i_2),
        .T(DIP_tri_t_2));
  IOBUF DIP_tri_iobuf_3
       (.I(DIP_tri_o_3),
        .IO(DIP_tri_io[3]),
        .O(DIP_tri_i_3),
        .T(DIP_tri_t_3));
  IOBUF DIP_tri_iobuf_4
       (.I(DIP_tri_o_4),
        .IO(DIP_tri_io[4]),
        .O(DIP_tri_i_4),
        .T(DIP_tri_t_4));
  IOBUF DIP_tri_iobuf_5
       (.I(DIP_tri_o_5),
        .IO(DIP_tri_io[5]),
        .O(DIP_tri_i_5),
        .T(DIP_tri_t_5));
  IOBUF DIP_tri_iobuf_6
       (.I(DIP_tri_o_6),
        .IO(DIP_tri_io[6]),
        .O(DIP_tri_i_6),
        .T(DIP_tri_t_6));
  IOBUF DIP_tri_iobuf_7
       (.I(DIP_tri_o_7),
        .IO(DIP_tri_io[7]),
        .O(DIP_tri_i_7),
        .T(DIP_tri_t_7));
  IOBUF LEDs_tri_iobuf_0
       (.I(LEDs_tri_o_0),
        .IO(LEDs_tri_io[0]),
        .O(LEDs_tri_i_0),
        .T(LEDs_tri_t_0));
  IOBUF LEDs_tri_iobuf_1
       (.I(LEDs_tri_o_1),
        .IO(LEDs_tri_io[1]),
        .O(LEDs_tri_i_1),
        .T(LEDs_tri_t_1));
  IOBUF LEDs_tri_iobuf_10
       (.I(LEDs_tri_o_10),
        .IO(LEDs_tri_io[10]),
        .O(LEDs_tri_i_10),
        .T(LEDs_tri_t_10));
  IOBUF LEDs_tri_iobuf_11
       (.I(LEDs_tri_o_11),
        .IO(LEDs_tri_io[11]),
        .O(LEDs_tri_i_11),
        .T(LEDs_tri_t_11));
  IOBUF LEDs_tri_iobuf_12
       (.I(LEDs_tri_o_12),
        .IO(LEDs_tri_io[12]),
        .O(LEDs_tri_i_12),
        .T(LEDs_tri_t_12));
  IOBUF LEDs_tri_iobuf_13
       (.I(LEDs_tri_o_13),
        .IO(LEDs_tri_io[13]),
        .O(LEDs_tri_i_13),
        .T(LEDs_tri_t_13));
  IOBUF LEDs_tri_iobuf_14
       (.I(LEDs_tri_o_14),
        .IO(LEDs_tri_io[14]),
        .O(LEDs_tri_i_14),
        .T(LEDs_tri_t_14));
  IOBUF LEDs_tri_iobuf_2
       (.I(LEDs_tri_o_2),
        .IO(LEDs_tri_io[2]),
        .O(LEDs_tri_i_2),
        .T(LEDs_tri_t_2));
  IOBUF LEDs_tri_iobuf_3
       (.I(LEDs_tri_o_3),
        .IO(LEDs_tri_io[3]),
        .O(LEDs_tri_i_3),
        .T(LEDs_tri_t_3));
  IOBUF LEDs_tri_iobuf_4
       (.I(LEDs_tri_o_4),
        .IO(LEDs_tri_io[4]),
        .O(LEDs_tri_i_4),
        .T(LEDs_tri_t_4));
  IOBUF LEDs_tri_iobuf_5
       (.I(LEDs_tri_o_5),
        .IO(LEDs_tri_io[5]),
        .O(LEDs_tri_i_5),
        .T(LEDs_tri_t_5));
  IOBUF LEDs_tri_iobuf_6
       (.I(LEDs_tri_o_6),
        .IO(LEDs_tri_io[6]),
        .O(LEDs_tri_i_6),
        .T(LEDs_tri_t_6));
  IOBUF LEDs_tri_iobuf_7
       (.I(LEDs_tri_o_7),
        .IO(LEDs_tri_io[7]),
        .O(LEDs_tri_i_7),
        .T(LEDs_tri_t_7));
  IOBUF LEDs_tri_iobuf_8
       (.I(LEDs_tri_o_8),
        .IO(LEDs_tri_io[8]),
        .O(LEDs_tri_i_8),
        .T(LEDs_tri_t_8));
  IOBUF LEDs_tri_iobuf_9
       (.I(LEDs_tri_o_9),
        .IO(LEDs_tri_io[9]),
        .O(LEDs_tri_i_9),
        .T(LEDs_tri_t_9));
  IOBUF PMOD_i_tri_iobuf_0
       (.I(PMOD_i_tri_o_0),
        .IO(PMOD_i_tri_io[0]),
        .O(PMOD_i_tri_i_0),
        .T(PMOD_i_tri_t_0));
  IOBUF PMOD_i_tri_iobuf_1
       (.I(PMOD_i_tri_o_1),
        .IO(PMOD_i_tri_io[1]),
        .O(PMOD_i_tri_i_1),
        .T(PMOD_i_tri_t_1));
  IOBUF PMOD_i_tri_iobuf_10
       (.I(PMOD_i_tri_o_10),
        .IO(PMOD_i_tri_io[10]),
        .O(PMOD_i_tri_i_10),
        .T(PMOD_i_tri_t_10));
  IOBUF PMOD_i_tri_iobuf_11
       (.I(PMOD_i_tri_o_11),
        .IO(PMOD_i_tri_io[11]),
        .O(PMOD_i_tri_i_11),
        .T(PMOD_i_tri_t_11));
  IOBUF PMOD_i_tri_iobuf_12
       (.I(PMOD_i_tri_o_12),
        .IO(PMOD_i_tri_io[12]),
        .O(PMOD_i_tri_i_12),
        .T(PMOD_i_tri_t_12));
  IOBUF PMOD_i_tri_iobuf_13
       (.I(PMOD_i_tri_o_13),
        .IO(PMOD_i_tri_io[13]),
        .O(PMOD_i_tri_i_13),
        .T(PMOD_i_tri_t_13));
  IOBUF PMOD_i_tri_iobuf_14
       (.I(PMOD_i_tri_o_14),
        .IO(PMOD_i_tri_io[14]),
        .O(PMOD_i_tri_i_14),
        .T(PMOD_i_tri_t_14));
  IOBUF PMOD_i_tri_iobuf_15
       (.I(PMOD_i_tri_o_15),
        .IO(PMOD_i_tri_io[15]),
        .O(PMOD_i_tri_i_15),
        .T(PMOD_i_tri_t_15));
  IOBUF PMOD_i_tri_iobuf_16
       (.I(PMOD_i_tri_o_16),
        .IO(PMOD_i_tri_io[16]),
        .O(PMOD_i_tri_i_16),
        .T(PMOD_i_tri_t_16));
  IOBUF PMOD_i_tri_iobuf_17
       (.I(PMOD_i_tri_o_17),
        .IO(PMOD_i_tri_io[17]),
        .O(PMOD_i_tri_i_17),
        .T(PMOD_i_tri_t_17));
  IOBUF PMOD_i_tri_iobuf_18
       (.I(PMOD_i_tri_o_18),
        .IO(PMOD_i_tri_io[18]),
        .O(PMOD_i_tri_i_18),
        .T(PMOD_i_tri_t_18));
  IOBUF PMOD_i_tri_iobuf_19
       (.I(PMOD_i_tri_o_19),
        .IO(PMOD_i_tri_io[19]),
        .O(PMOD_i_tri_i_19),
        .T(PMOD_i_tri_t_19));
  IOBUF PMOD_i_tri_iobuf_2
       (.I(PMOD_i_tri_o_2),
        .IO(PMOD_i_tri_io[2]),
        .O(PMOD_i_tri_i_2),
        .T(PMOD_i_tri_t_2));
  IOBUF PMOD_i_tri_iobuf_20
       (.I(PMOD_i_tri_o_20),
        .IO(PMOD_i_tri_io[20]),
        .O(PMOD_i_tri_i_20),
        .T(PMOD_i_tri_t_20));
  IOBUF PMOD_i_tri_iobuf_21
       (.I(PMOD_i_tri_o_21),
        .IO(PMOD_i_tri_io[21]),
        .O(PMOD_i_tri_i_21),
        .T(PMOD_i_tri_t_21));
  IOBUF PMOD_i_tri_iobuf_22
       (.I(PMOD_i_tri_o_22),
        .IO(PMOD_i_tri_io[22]),
        .O(PMOD_i_tri_i_22),
        .T(PMOD_i_tri_t_22));
  IOBUF PMOD_i_tri_iobuf_23
       (.I(PMOD_i_tri_o_23),
        .IO(PMOD_i_tri_io[23]),
        .O(PMOD_i_tri_i_23),
        .T(PMOD_i_tri_t_23));
  IOBUF PMOD_i_tri_iobuf_24
       (.I(PMOD_i_tri_o_24),
        .IO(PMOD_i_tri_io[24]),
        .O(PMOD_i_tri_i_24),
        .T(PMOD_i_tri_t_24));
  IOBUF PMOD_i_tri_iobuf_25
       (.I(PMOD_i_tri_o_25),
        .IO(PMOD_i_tri_io[25]),
        .O(PMOD_i_tri_i_25),
        .T(PMOD_i_tri_t_25));
  IOBUF PMOD_i_tri_iobuf_26
       (.I(PMOD_i_tri_o_26),
        .IO(PMOD_i_tri_io[26]),
        .O(PMOD_i_tri_i_26),
        .T(PMOD_i_tri_t_26));
  IOBUF PMOD_i_tri_iobuf_27
       (.I(PMOD_i_tri_o_27),
        .IO(PMOD_i_tri_io[27]),
        .O(PMOD_i_tri_i_27),
        .T(PMOD_i_tri_t_27));
  IOBUF PMOD_i_tri_iobuf_28
       (.I(PMOD_i_tri_o_28),
        .IO(PMOD_i_tri_io[28]),
        .O(PMOD_i_tri_i_28),
        .T(PMOD_i_tri_t_28));
  IOBUF PMOD_i_tri_iobuf_29
       (.I(PMOD_i_tri_o_29),
        .IO(PMOD_i_tri_io[29]),
        .O(PMOD_i_tri_i_29),
        .T(PMOD_i_tri_t_29));
  IOBUF PMOD_i_tri_iobuf_3
       (.I(PMOD_i_tri_o_3),
        .IO(PMOD_i_tri_io[3]),
        .O(PMOD_i_tri_i_3),
        .T(PMOD_i_tri_t_3));
  IOBUF PMOD_i_tri_iobuf_30
       (.I(PMOD_i_tri_o_30),
        .IO(PMOD_i_tri_io[30]),
        .O(PMOD_i_tri_i_30),
        .T(PMOD_i_tri_t_30));
  IOBUF PMOD_i_tri_iobuf_31
       (.I(PMOD_i_tri_o_31),
        .IO(PMOD_i_tri_io[31]),
        .O(PMOD_i_tri_i_31),
        .T(PMOD_i_tri_t_31));
  IOBUF PMOD_i_tri_iobuf_4
       (.I(PMOD_i_tri_o_4),
        .IO(PMOD_i_tri_io[4]),
        .O(PMOD_i_tri_i_4),
        .T(PMOD_i_tri_t_4));
  IOBUF PMOD_i_tri_iobuf_5
       (.I(PMOD_i_tri_o_5),
        .IO(PMOD_i_tri_io[5]),
        .O(PMOD_i_tri_i_5),
        .T(PMOD_i_tri_t_5));
  IOBUF PMOD_i_tri_iobuf_6
       (.I(PMOD_i_tri_o_6),
        .IO(PMOD_i_tri_io[6]),
        .O(PMOD_i_tri_i_6),
        .T(PMOD_i_tri_t_6));
  IOBUF PMOD_i_tri_iobuf_7
       (.I(PMOD_i_tri_o_7),
        .IO(PMOD_i_tri_io[7]),
        .O(PMOD_i_tri_i_7),
        .T(PMOD_i_tri_t_7));
  IOBUF PMOD_i_tri_iobuf_8
       (.I(PMOD_i_tri_o_8),
        .IO(PMOD_i_tri_io[8]),
        .O(PMOD_i_tri_i_8),
        .T(PMOD_i_tri_t_8));
  IOBUF PMOD_i_tri_iobuf_9
       (.I(PMOD_i_tri_o_9),
        .IO(PMOD_i_tri_io[9]),
        .O(PMOD_i_tri_i_9),
        .T(PMOD_i_tri_t_9));
  IOBUF iic_acl_main_scl_iobuf
       (.I(iic_acl_main_scl_o),
        .IO(iic_acl_main_scl_io),
        .O(iic_acl_main_scl_i),
        .T(iic_acl_main_scl_t));
  IOBUF iic_acl_main_sda_iobuf
       (.I(iic_acl_main_sda_o),
        .IO(iic_acl_main_sda_io),
        .O(iic_acl_main_sda_i),
        .T(iic_acl_main_sda_t));
  IOBUF iic_eeprom_main_scl_iobuf
       (.I(iic_eeprom_main_scl_o),
        .IO(iic_eeprom_main_scl_io),
        .O(iic_eeprom_main_scl_i),
        .T(iic_eeprom_main_scl_t));
  IOBUF iic_eeprom_main_sda_iobuf
       (.I(iic_eeprom_main_sda_o),
        .IO(iic_eeprom_main_sda_io),
        .O(iic_eeprom_main_sda_i),
        .T(iic_eeprom_main_sda_t));
  IOBUF iic_ina_main_scl_iobuf
       (.I(iic_ina_main_scl_o),
        .IO(iic_ina_main_scl_io),
        .O(iic_ina_main_scl_i),
        .T(iic_ina_main_scl_t));
  IOBUF iic_ina_main_sda_iobuf
       (.I(iic_ina_main_sda_o),
        .IO(iic_ina_main_sda_io),
        .O(iic_ina_main_sda_i),
        .T(iic_ina_main_sda_t));
  scu35_io_design scu35_io_design_i
       (.DIP_tri_i({DIP_tri_i_7,DIP_tri_i_6,DIP_tri_i_5,DIP_tri_i_4,DIP_tri_i_3,DIP_tri_i_2,DIP_tri_i_1,DIP_tri_i_0}),
        .DIP_tri_o({DIP_tri_o_7,DIP_tri_o_6,DIP_tri_o_5,DIP_tri_o_4,DIP_tri_o_3,DIP_tri_o_2,DIP_tri_o_1,DIP_tri_o_0}),
        .DIP_tri_t({DIP_tri_t_7,DIP_tri_t_6,DIP_tri_t_5,DIP_tri_t_4,DIP_tri_t_3,DIP_tri_t_2,DIP_tri_t_1,DIP_tri_t_0}),
        .LEDs_tri_i({LEDs_tri_i_14,LEDs_tri_i_13,LEDs_tri_i_12,LEDs_tri_i_11,LEDs_tri_i_10,LEDs_tri_i_9,LEDs_tri_i_8,LEDs_tri_i_7,LEDs_tri_i_6,LEDs_tri_i_5,LEDs_tri_i_4,LEDs_tri_i_3,LEDs_tri_i_2,LEDs_tri_i_1,LEDs_tri_i_0}),
        .LEDs_tri_o({LEDs_tri_o_14,LEDs_tri_o_13,LEDs_tri_o_12,LEDs_tri_o_11,LEDs_tri_o_10,LEDs_tri_o_9,LEDs_tri_o_8,LEDs_tri_o_7,LEDs_tri_o_6,LEDs_tri_o_5,LEDs_tri_o_4,LEDs_tri_o_3,LEDs_tri_o_2,LEDs_tri_o_1,LEDs_tri_o_0}),
        .LEDs_tri_t({LEDs_tri_t_14,LEDs_tri_t_13,LEDs_tri_t_12,LEDs_tri_t_11,LEDs_tri_t_10,LEDs_tri_t_9,LEDs_tri_t_8,LEDs_tri_t_7,LEDs_tri_t_6,LEDs_tri_t_5,LEDs_tri_t_4,LEDs_tri_t_3,LEDs_tri_t_2,LEDs_tri_t_1,LEDs_tri_t_0}),
        .PMOD_i_tri_i({PMOD_i_tri_i_31,PMOD_i_tri_i_30,PMOD_i_tri_i_29,PMOD_i_tri_i_28,PMOD_i_tri_i_27,PMOD_i_tri_i_26,PMOD_i_tri_i_25,PMOD_i_tri_i_24,PMOD_i_tri_i_23,PMOD_i_tri_i_22,PMOD_i_tri_i_21,PMOD_i_tri_i_20,PMOD_i_tri_i_19,PMOD_i_tri_i_18,PMOD_i_tri_i_17,PMOD_i_tri_i_16,PMOD_i_tri_i_15,PMOD_i_tri_i_14,PMOD_i_tri_i_13,PMOD_i_tri_i_12,PMOD_i_tri_i_11,PMOD_i_tri_i_10,PMOD_i_tri_i_9,PMOD_i_tri_i_8,PMOD_i_tri_i_7,PMOD_i_tri_i_6,PMOD_i_tri_i_5,PMOD_i_tri_i_4,PMOD_i_tri_i_3,PMOD_i_tri_i_2,PMOD_i_tri_i_1,PMOD_i_tri_i_0}),
        .PMOD_i_tri_o({PMOD_i_tri_o_31,PMOD_i_tri_o_30,PMOD_i_tri_o_29,PMOD_i_tri_o_28,PMOD_i_tri_o_27,PMOD_i_tri_o_26,PMOD_i_tri_o_25,PMOD_i_tri_o_24,PMOD_i_tri_o_23,PMOD_i_tri_o_22,PMOD_i_tri_o_21,PMOD_i_tri_o_20,PMOD_i_tri_o_19,PMOD_i_tri_o_18,PMOD_i_tri_o_17,PMOD_i_tri_o_16,PMOD_i_tri_o_15,PMOD_i_tri_o_14,PMOD_i_tri_o_13,PMOD_i_tri_o_12,PMOD_i_tri_o_11,PMOD_i_tri_o_10,PMOD_i_tri_o_9,PMOD_i_tri_o_8,PMOD_i_tri_o_7,PMOD_i_tri_o_6,PMOD_i_tri_o_5,PMOD_i_tri_o_4,PMOD_i_tri_o_3,PMOD_i_tri_o_2,PMOD_i_tri_o_1,PMOD_i_tri_o_0}),
        .PMOD_i_tri_t({PMOD_i_tri_t_31,PMOD_i_tri_t_30,PMOD_i_tri_t_29,PMOD_i_tri_t_28,PMOD_i_tri_t_27,PMOD_i_tri_t_26,PMOD_i_tri_t_25,PMOD_i_tri_t_24,PMOD_i_tri_t_23,PMOD_i_tri_t_22,PMOD_i_tri_t_21,PMOD_i_tri_t_20,PMOD_i_tri_t_19,PMOD_i_tri_t_18,PMOD_i_tri_t_17,PMOD_i_tri_t_16,PMOD_i_tri_t_15,PMOD_i_tri_t_14,PMOD_i_tri_t_13,PMOD_i_tri_t_12,PMOD_i_tri_t_11,PMOD_i_tri_t_10,PMOD_i_tri_t_9,PMOD_i_tri_t_8,PMOD_i_tri_t_7,PMOD_i_tri_t_6,PMOD_i_tri_t_5,PMOD_i_tri_t_4,PMOD_i_tri_t_3,PMOD_i_tri_t_2,PMOD_i_tri_t_1,PMOD_i_tri_t_0}),
        .iic_acl_main_scl_i(iic_acl_main_scl_i),
        .iic_acl_main_scl_o(iic_acl_main_scl_o),
        .iic_acl_main_scl_t(iic_acl_main_scl_t),
        .iic_acl_main_sda_i(iic_acl_main_sda_i),
        .iic_acl_main_sda_o(iic_acl_main_sda_o),
        .iic_acl_main_sda_t(iic_acl_main_sda_t),
        .iic_eeprom_main_scl_i(iic_eeprom_main_scl_i),
        .iic_eeprom_main_scl_o(iic_eeprom_main_scl_o),
        .iic_eeprom_main_scl_t(iic_eeprom_main_scl_t),
        .iic_eeprom_main_sda_i(iic_eeprom_main_sda_i),
        .iic_eeprom_main_sda_o(iic_eeprom_main_sda_o),
        .iic_eeprom_main_sda_t(iic_eeprom_main_sda_t),
        .iic_ina_main_scl_i(iic_ina_main_scl_i),
        .iic_ina_main_scl_o(iic_ina_main_scl_o),
        .iic_ina_main_scl_t(iic_ina_main_scl_t),
        .iic_ina_main_sda_i(iic_ina_main_sda_i),
        .iic_ina_main_sda_o(iic_ina_main_sda_o),
        .iic_ina_main_sda_t(iic_ina_main_sda_t),
        .push_buttons_tri_i(push_buttons_tri_i),
        .reset(reset),
        .scu35_uartb_rxd(scu35_uartb_rxd),
        .scu35_uartb_txd(scu35_uartb_txd),
        .sys_diff_clock_clk_n(sys_diff_clock_clk_n),
        .sys_diff_clock_clk_p(sys_diff_clock_clk_p));
endmodule
